Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network72.8.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
72.8.0.0
Broadcast address
72.8.255.255
First usable
72.8.0.1
Last usable
72.8.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 48080000 · Integer 1208483840 to 1208549375
Reverse DNS zone
8.72.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001000.00001000..00000000.0000000072.8.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01001000.00001000..00000000.0000000072.8.0.0
Broadcast01001000.00001000..11111111.1111111172.8.255.255
Split into smaller subnets/28

72.8.0.0/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
172.8.0.0/2872.8.0.1 to 72.8.0.1472.8.0.1514
272.8.0.16/2872.8.0.17 to 72.8.0.3072.8.0.3114
372.8.0.32/2872.8.0.33 to 72.8.0.4672.8.0.4714
472.8.0.48/2872.8.0.49 to 72.8.0.6272.8.0.6314
572.8.0.64/2872.8.0.65 to 72.8.0.7872.8.0.7914
672.8.0.80/2872.8.0.81 to 72.8.0.9472.8.0.9514
772.8.0.96/2872.8.0.97 to 72.8.0.11072.8.0.11114
872.8.0.112/2872.8.0.113 to 72.8.0.12672.8.0.12714
972.8.0.128/2872.8.0.129 to 72.8.0.14272.8.0.14314
1072.8.0.144/2872.8.0.145 to 72.8.0.15872.8.0.15914
1172.8.0.160/2872.8.0.161 to 72.8.0.17472.8.0.17514
1272.8.0.176/2872.8.0.177 to 72.8.0.19072.8.0.19114
1372.8.0.192/2872.8.0.193 to 72.8.0.20672.8.0.20714
1472.8.0.208/2872.8.0.209 to 72.8.0.22272.8.0.22314
1572.8.0.224/2872.8.0.225 to 72.8.0.23872.8.0.23914
1672.8.0.240/2872.8.0.241 to 72.8.0.25472.8.0.25514
1772.8.1.0/2872.8.1.1 to 72.8.1.1472.8.1.1514
1872.8.1.16/2872.8.1.17 to 72.8.1.3072.8.1.3114
1972.8.1.32/2872.8.1.33 to 72.8.1.4672.8.1.4714
2072.8.1.48/2872.8.1.49 to 72.8.1.6272.8.1.6314
2172.8.1.64/2872.8.1.65 to 72.8.1.7872.8.1.7914
2272.8.1.80/2872.8.1.81 to 72.8.1.9472.8.1.9514
2372.8.1.96/2872.8.1.97 to 72.8.1.11072.8.1.11114
2472.8.1.112/2872.8.1.113 to 72.8.1.12672.8.1.12714
2572.8.1.128/2872.8.1.129 to 72.8.1.14272.8.1.14314
2672.8.1.144/2872.8.1.145 to 72.8.1.15872.8.1.15914
2772.8.1.160/2872.8.1.161 to 72.8.1.17472.8.1.17514
2872.8.1.176/2872.8.1.177 to 72.8.1.19072.8.1.19114
2972.8.1.192/2872.8.1.193 to 72.8.1.20672.8.1.20714
3072.8.1.208/2872.8.1.209 to 72.8.1.22272.8.1.22314
3172.8.1.224/2872.8.1.225 to 72.8.1.23872.8.1.23914
3272.8.1.240/2872.8.1.241 to 72.8.1.25472.8.1.25514
3372.8.2.0/2872.8.2.1 to 72.8.2.1472.8.2.1514
3472.8.2.16/2872.8.2.17 to 72.8.2.3072.8.2.3114
3572.8.2.32/2872.8.2.33 to 72.8.2.4672.8.2.4714
3672.8.2.48/2872.8.2.49 to 72.8.2.6272.8.2.6314
3772.8.2.64/2872.8.2.65 to 72.8.2.7872.8.2.7914
3872.8.2.80/2872.8.2.81 to 72.8.2.9472.8.2.9514
3972.8.2.96/2872.8.2.97 to 72.8.2.11072.8.2.11114
4072.8.2.112/2872.8.2.113 to 72.8.2.12672.8.2.12714
4172.8.2.128/2872.8.2.129 to 72.8.2.14272.8.2.14314
4272.8.2.144/2872.8.2.145 to 72.8.2.15872.8.2.15914
4372.8.2.160/2872.8.2.161 to 72.8.2.17472.8.2.17514
4472.8.2.176/2872.8.2.177 to 72.8.2.19072.8.2.19114
4572.8.2.192/2872.8.2.193 to 72.8.2.20672.8.2.20714
4672.8.2.208/2872.8.2.209 to 72.8.2.22272.8.2.22314
4772.8.2.224/2872.8.2.225 to 72.8.2.23872.8.2.23914
4872.8.2.240/2872.8.2.241 to 72.8.2.25472.8.2.25514
4972.8.3.0/2872.8.3.1 to 72.8.3.1472.8.3.1514
5072.8.3.16/2872.8.3.17 to 72.8.3.3072.8.3.3114
5172.8.3.32/2872.8.3.33 to 72.8.3.4672.8.3.4714
5272.8.3.48/2872.8.3.49 to 72.8.3.6272.8.3.6314
5372.8.3.64/2872.8.3.65 to 72.8.3.7872.8.3.7914
5472.8.3.80/2872.8.3.81 to 72.8.3.9472.8.3.9514
5572.8.3.96/2872.8.3.97 to 72.8.3.11072.8.3.11114
5672.8.3.112/2872.8.3.113 to 72.8.3.12672.8.3.12714
5772.8.3.128/2872.8.3.129 to 72.8.3.14272.8.3.14314
5872.8.3.144/2872.8.3.145 to 72.8.3.15872.8.3.15914
5972.8.3.160/2872.8.3.161 to 72.8.3.17472.8.3.17514
6072.8.3.176/2872.8.3.177 to 72.8.3.19072.8.3.19114
6172.8.3.192/2872.8.3.193 to 72.8.3.20672.8.3.20714
6272.8.3.208/2872.8.3.209 to 72.8.3.22272.8.3.22314
6372.8.3.224/2872.8.3.225 to 72.8.3.23872.8.3.23914
6472.8.3.240/2872.8.3.241 to 72.8.3.25472.8.3.25514
6572.8.4.0/2872.8.4.1 to 72.8.4.1472.8.4.1514
6672.8.4.16/2872.8.4.17 to 72.8.4.3072.8.4.3114
6772.8.4.32/2872.8.4.33 to 72.8.4.4672.8.4.4714
6872.8.4.48/2872.8.4.49 to 72.8.4.6272.8.4.6314
6972.8.4.64/2872.8.4.65 to 72.8.4.7872.8.4.7914
7072.8.4.80/2872.8.4.81 to 72.8.4.9472.8.4.9514
7172.8.4.96/2872.8.4.97 to 72.8.4.11072.8.4.11114
7272.8.4.112/2872.8.4.113 to 72.8.4.12672.8.4.12714
7372.8.4.128/2872.8.4.129 to 72.8.4.14272.8.4.14314
7472.8.4.144/2872.8.4.145 to 72.8.4.15872.8.4.15914
7572.8.4.160/2872.8.4.161 to 72.8.4.17472.8.4.17514
7672.8.4.176/2872.8.4.177 to 72.8.4.19072.8.4.19114
7772.8.4.192/2872.8.4.193 to 72.8.4.20672.8.4.20714
7872.8.4.208/2872.8.4.209 to 72.8.4.22272.8.4.22314
7972.8.4.224/2872.8.4.225 to 72.8.4.23872.8.4.23914
8072.8.4.240/2872.8.4.241 to 72.8.4.25472.8.4.25514
8172.8.5.0/2872.8.5.1 to 72.8.5.1472.8.5.1514
8272.8.5.16/2872.8.5.17 to 72.8.5.3072.8.5.3114
8372.8.5.32/2872.8.5.33 to 72.8.5.4672.8.5.4714
8472.8.5.48/2872.8.5.49 to 72.8.5.6272.8.5.6314
8572.8.5.64/2872.8.5.65 to 72.8.5.7872.8.5.7914
8672.8.5.80/2872.8.5.81 to 72.8.5.9472.8.5.9514
8772.8.5.96/2872.8.5.97 to 72.8.5.11072.8.5.11114
8872.8.5.112/2872.8.5.113 to 72.8.5.12672.8.5.12714
8972.8.5.128/2872.8.5.129 to 72.8.5.14272.8.5.14314
9072.8.5.144/2872.8.5.145 to 72.8.5.15872.8.5.15914
9172.8.5.160/2872.8.5.161 to 72.8.5.17472.8.5.17514
9272.8.5.176/2872.8.5.177 to 72.8.5.19072.8.5.19114
9372.8.5.192/2872.8.5.193 to 72.8.5.20672.8.5.20714
9472.8.5.208/2872.8.5.209 to 72.8.5.22272.8.5.22314
9572.8.5.224/2872.8.5.225 to 72.8.5.23872.8.5.23914
9672.8.5.240/2872.8.5.241 to 72.8.5.25472.8.5.25514
9772.8.6.0/2872.8.6.1 to 72.8.6.1472.8.6.1514
9872.8.6.16/2872.8.6.17 to 72.8.6.3072.8.6.3114
9972.8.6.32/2872.8.6.33 to 72.8.6.4672.8.6.4714
10072.8.6.48/2872.8.6.49 to 72.8.6.6272.8.6.6314
10172.8.6.64/2872.8.6.65 to 72.8.6.7872.8.6.7914
10272.8.6.80/2872.8.6.81 to 72.8.6.9472.8.6.9514
10372.8.6.96/2872.8.6.97 to 72.8.6.11072.8.6.11114
10472.8.6.112/2872.8.6.113 to 72.8.6.12672.8.6.12714
10572.8.6.128/2872.8.6.129 to 72.8.6.14272.8.6.14314
10672.8.6.144/2872.8.6.145 to 72.8.6.15872.8.6.15914
10772.8.6.160/2872.8.6.161 to 72.8.6.17472.8.6.17514
10872.8.6.176/2872.8.6.177 to 72.8.6.19072.8.6.19114
10972.8.6.192/2872.8.6.193 to 72.8.6.20672.8.6.20714
11072.8.6.208/2872.8.6.209 to 72.8.6.22272.8.6.22314
11172.8.6.224/2872.8.6.225 to 72.8.6.23872.8.6.23914
11272.8.6.240/2872.8.6.241 to 72.8.6.25472.8.6.25514
11372.8.7.0/2872.8.7.1 to 72.8.7.1472.8.7.1514
11472.8.7.16/2872.8.7.17 to 72.8.7.3072.8.7.3114
11572.8.7.32/2872.8.7.33 to 72.8.7.4672.8.7.4714
11672.8.7.48/2872.8.7.49 to 72.8.7.6272.8.7.6314
11772.8.7.64/2872.8.7.65 to 72.8.7.7872.8.7.7914
11872.8.7.80/2872.8.7.81 to 72.8.7.9472.8.7.9514
11972.8.7.96/2872.8.7.97 to 72.8.7.11072.8.7.11114
12072.8.7.112/2872.8.7.113 to 72.8.7.12672.8.7.12714
12172.8.7.128/2872.8.7.129 to 72.8.7.14272.8.7.14314
12272.8.7.144/2872.8.7.145 to 72.8.7.15872.8.7.15914
12372.8.7.160/2872.8.7.161 to 72.8.7.17472.8.7.17514
12472.8.7.176/2872.8.7.177 to 72.8.7.19072.8.7.19114
12572.8.7.192/2872.8.7.193 to 72.8.7.20672.8.7.20714
12672.8.7.208/2872.8.7.209 to 72.8.7.22272.8.7.22314
12772.8.7.224/2872.8.7.225 to 72.8.7.23872.8.7.23914
12872.8.7.240/2872.8.7.241 to 72.8.7.25472.8.7.25514
12972.8.8.0/2872.8.8.1 to 72.8.8.1472.8.8.1514
13072.8.8.16/2872.8.8.17 to 72.8.8.3072.8.8.3114
13172.8.8.32/2872.8.8.33 to 72.8.8.4672.8.8.4714
13272.8.8.48/2872.8.8.49 to 72.8.8.6272.8.8.6314
13372.8.8.64/2872.8.8.65 to 72.8.8.7872.8.8.7914
13472.8.8.80/2872.8.8.81 to 72.8.8.9472.8.8.9514
13572.8.8.96/2872.8.8.97 to 72.8.8.11072.8.8.11114
13672.8.8.112/2872.8.8.113 to 72.8.8.12672.8.8.12714
13772.8.8.128/2872.8.8.129 to 72.8.8.14272.8.8.14314
13872.8.8.144/2872.8.8.145 to 72.8.8.15872.8.8.15914
13972.8.8.160/2872.8.8.161 to 72.8.8.17472.8.8.17514
14072.8.8.176/2872.8.8.177 to 72.8.8.19072.8.8.19114
14172.8.8.192/2872.8.8.193 to 72.8.8.20672.8.8.20714
14272.8.8.208/2872.8.8.209 to 72.8.8.22272.8.8.22314
14372.8.8.224/2872.8.8.225 to 72.8.8.23872.8.8.23914
14472.8.8.240/2872.8.8.241 to 72.8.8.25472.8.8.25514
14572.8.9.0/2872.8.9.1 to 72.8.9.1472.8.9.1514
14672.8.9.16/2872.8.9.17 to 72.8.9.3072.8.9.3114
14772.8.9.32/2872.8.9.33 to 72.8.9.4672.8.9.4714
14872.8.9.48/2872.8.9.49 to 72.8.9.6272.8.9.6314
14972.8.9.64/2872.8.9.65 to 72.8.9.7872.8.9.7914
15072.8.9.80/2872.8.9.81 to 72.8.9.9472.8.9.9514
15172.8.9.96/2872.8.9.97 to 72.8.9.11072.8.9.11114
15272.8.9.112/2872.8.9.113 to 72.8.9.12672.8.9.12714
15372.8.9.128/2872.8.9.129 to 72.8.9.14272.8.9.14314
15472.8.9.144/2872.8.9.145 to 72.8.9.15872.8.9.15914
15572.8.9.160/2872.8.9.161 to 72.8.9.17472.8.9.17514
15672.8.9.176/2872.8.9.177 to 72.8.9.19072.8.9.19114
15772.8.9.192/2872.8.9.193 to 72.8.9.20672.8.9.20714
15872.8.9.208/2872.8.9.209 to 72.8.9.22272.8.9.22314
15972.8.9.224/2872.8.9.225 to 72.8.9.23872.8.9.23914
16072.8.9.240/2872.8.9.241 to 72.8.9.25472.8.9.25514
16172.8.10.0/2872.8.10.1 to 72.8.10.1472.8.10.1514
16272.8.10.16/2872.8.10.17 to 72.8.10.3072.8.10.3114
16372.8.10.32/2872.8.10.33 to 72.8.10.4672.8.10.4714
16472.8.10.48/2872.8.10.49 to 72.8.10.6272.8.10.6314
16572.8.10.64/2872.8.10.65 to 72.8.10.7872.8.10.7914
16672.8.10.80/2872.8.10.81 to 72.8.10.9472.8.10.9514
16772.8.10.96/2872.8.10.97 to 72.8.10.11072.8.10.11114
16872.8.10.112/2872.8.10.113 to 72.8.10.12672.8.10.12714
16972.8.10.128/2872.8.10.129 to 72.8.10.14272.8.10.14314
17072.8.10.144/2872.8.10.145 to 72.8.10.15872.8.10.15914
17172.8.10.160/2872.8.10.161 to 72.8.10.17472.8.10.17514
17272.8.10.176/2872.8.10.177 to 72.8.10.19072.8.10.19114
17372.8.10.192/2872.8.10.193 to 72.8.10.20672.8.10.20714
17472.8.10.208/2872.8.10.209 to 72.8.10.22272.8.10.22314
17572.8.10.224/2872.8.10.225 to 72.8.10.23872.8.10.23914
17672.8.10.240/2872.8.10.241 to 72.8.10.25472.8.10.25514
17772.8.11.0/2872.8.11.1 to 72.8.11.1472.8.11.1514
17872.8.11.16/2872.8.11.17 to 72.8.11.3072.8.11.3114
17972.8.11.32/2872.8.11.33 to 72.8.11.4672.8.11.4714
18072.8.11.48/2872.8.11.49 to 72.8.11.6272.8.11.6314
18172.8.11.64/2872.8.11.65 to 72.8.11.7872.8.11.7914
18272.8.11.80/2872.8.11.81 to 72.8.11.9472.8.11.9514
18372.8.11.96/2872.8.11.97 to 72.8.11.11072.8.11.11114
18472.8.11.112/2872.8.11.113 to 72.8.11.12672.8.11.12714
18572.8.11.128/2872.8.11.129 to 72.8.11.14272.8.11.14314
18672.8.11.144/2872.8.11.145 to 72.8.11.15872.8.11.15914
18772.8.11.160/2872.8.11.161 to 72.8.11.17472.8.11.17514
18872.8.11.176/2872.8.11.177 to 72.8.11.19072.8.11.19114
18972.8.11.192/2872.8.11.193 to 72.8.11.20672.8.11.20714
19072.8.11.208/2872.8.11.209 to 72.8.11.22272.8.11.22314
19172.8.11.224/2872.8.11.225 to 72.8.11.23872.8.11.23914
19272.8.11.240/2872.8.11.241 to 72.8.11.25472.8.11.25514
19372.8.12.0/2872.8.12.1 to 72.8.12.1472.8.12.1514
19472.8.12.16/2872.8.12.17 to 72.8.12.3072.8.12.3114
19572.8.12.32/2872.8.12.33 to 72.8.12.4672.8.12.4714
19672.8.12.48/2872.8.12.49 to 72.8.12.6272.8.12.6314
19772.8.12.64/2872.8.12.65 to 72.8.12.7872.8.12.7914
19872.8.12.80/2872.8.12.81 to 72.8.12.9472.8.12.9514
19972.8.12.96/2872.8.12.97 to 72.8.12.11072.8.12.11114
20072.8.12.112/2872.8.12.113 to 72.8.12.12672.8.12.12714
20172.8.12.128/2872.8.12.129 to 72.8.12.14272.8.12.14314
20272.8.12.144/2872.8.12.145 to 72.8.12.15872.8.12.15914
20372.8.12.160/2872.8.12.161 to 72.8.12.17472.8.12.17514
20472.8.12.176/2872.8.12.177 to 72.8.12.19072.8.12.19114
20572.8.12.192/2872.8.12.193 to 72.8.12.20672.8.12.20714
20672.8.12.208/2872.8.12.209 to 72.8.12.22272.8.12.22314
20772.8.12.224/2872.8.12.225 to 72.8.12.23872.8.12.23914
20872.8.12.240/2872.8.12.241 to 72.8.12.25472.8.12.25514
20972.8.13.0/2872.8.13.1 to 72.8.13.1472.8.13.1514
21072.8.13.16/2872.8.13.17 to 72.8.13.3072.8.13.3114
21172.8.13.32/2872.8.13.33 to 72.8.13.4672.8.13.4714
21272.8.13.48/2872.8.13.49 to 72.8.13.6272.8.13.6314
21372.8.13.64/2872.8.13.65 to 72.8.13.7872.8.13.7914
21472.8.13.80/2872.8.13.81 to 72.8.13.9472.8.13.9514
21572.8.13.96/2872.8.13.97 to 72.8.13.11072.8.13.11114
21672.8.13.112/2872.8.13.113 to 72.8.13.12672.8.13.12714
21772.8.13.128/2872.8.13.129 to 72.8.13.14272.8.13.14314
21872.8.13.144/2872.8.13.145 to 72.8.13.15872.8.13.15914
21972.8.13.160/2872.8.13.161 to 72.8.13.17472.8.13.17514
22072.8.13.176/2872.8.13.177 to 72.8.13.19072.8.13.19114
22172.8.13.192/2872.8.13.193 to 72.8.13.20672.8.13.20714
22272.8.13.208/2872.8.13.209 to 72.8.13.22272.8.13.22314
22372.8.13.224/2872.8.13.225 to 72.8.13.23872.8.13.23914
22472.8.13.240/2872.8.13.241 to 72.8.13.25472.8.13.25514
22572.8.14.0/2872.8.14.1 to 72.8.14.1472.8.14.1514
22672.8.14.16/2872.8.14.17 to 72.8.14.3072.8.14.3114
22772.8.14.32/2872.8.14.33 to 72.8.14.4672.8.14.4714
22872.8.14.48/2872.8.14.49 to 72.8.14.6272.8.14.6314
22972.8.14.64/2872.8.14.65 to 72.8.14.7872.8.14.7914
23072.8.14.80/2872.8.14.81 to 72.8.14.9472.8.14.9514
23172.8.14.96/2872.8.14.97 to 72.8.14.11072.8.14.11114
23272.8.14.112/2872.8.14.113 to 72.8.14.12672.8.14.12714
23372.8.14.128/2872.8.14.129 to 72.8.14.14272.8.14.14314
23472.8.14.144/2872.8.14.145 to 72.8.14.15872.8.14.15914
23572.8.14.160/2872.8.14.161 to 72.8.14.17472.8.14.17514
23672.8.14.176/2872.8.14.177 to 72.8.14.19072.8.14.19114
23772.8.14.192/2872.8.14.193 to 72.8.14.20672.8.14.20714
23872.8.14.208/2872.8.14.209 to 72.8.14.22272.8.14.22314
23972.8.14.224/2872.8.14.225 to 72.8.14.23872.8.14.23914
24072.8.14.240/2872.8.14.241 to 72.8.14.25472.8.14.25514
24172.8.15.0/2872.8.15.1 to 72.8.15.1472.8.15.1514
24272.8.15.16/2872.8.15.17 to 72.8.15.3072.8.15.3114
24372.8.15.32/2872.8.15.33 to 72.8.15.4672.8.15.4714
24472.8.15.48/2872.8.15.49 to 72.8.15.6272.8.15.6314
24572.8.15.64/2872.8.15.65 to 72.8.15.7872.8.15.7914
24672.8.15.80/2872.8.15.81 to 72.8.15.9472.8.15.9514
24772.8.15.96/2872.8.15.97 to 72.8.15.11072.8.15.11114
24872.8.15.112/2872.8.15.113 to 72.8.15.12672.8.15.12714
24972.8.15.128/2872.8.15.129 to 72.8.15.14272.8.15.14314
25072.8.15.144/2872.8.15.145 to 72.8.15.15872.8.15.15914
25172.8.15.160/2872.8.15.161 to 72.8.15.17472.8.15.17514
25272.8.15.176/2872.8.15.177 to 72.8.15.19072.8.15.19114
25372.8.15.192/2872.8.15.193 to 72.8.15.20672.8.15.20714
25472.8.15.208/2872.8.15.209 to 72.8.15.22272.8.15.22314
25572.8.15.224/2872.8.15.225 to 72.8.15.23872.8.15.23914
25672.8.15.240/2872.8.15.241 to 72.8.15.25472.8.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses